#
# spec file for package perl-Lingua-Stem
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Lingua-Stem
Version:        2.31
Release:        1.18
%define cpan_name Lingua-Stem
Summary:        Stemming of words
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SN/SNOWHARE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Lingua::GL::Stemmer)
BuildRequires:  perl(Lingua::PT::Stemmer)
BuildRequires:  perl(Lingua::Stem::Fr) >= 0.02
BuildRequires:  perl(Lingua::Stem::It)
BuildRequires:  perl(Lingua::Stem::Ru)
BuildRequires:  perl(Lingua::Stem::Snowball::Da) >= 1.01
BuildRequires:  perl(Lingua::Stem::Snowball::No) >= 1.00
BuildRequires:  perl(Lingua::Stem::Snowball::Se) >= 1.01
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Text::German)
Requires:       perl(Lingua::GL::Stemmer)
Requires:       perl(Lingua::PT::Stemmer)
Requires:       perl(Lingua::Stem::Fr) >= 0.02
Requires:       perl(Lingua::Stem::It)
Requires:       perl(Lingua::Stem::Ru)
Requires:       perl(Lingua::Stem::Snowball::Da) >= 1.01
Requires:       perl(Lingua::Stem::Snowball::No) >= 1.00
Requires:       perl(Lingua::Stem::Snowball::Se) >= 1.01
Requires:       perl(Text::German)
%{perl_requires}

%description
This routine applies stemming algorithms to its parameters, returning the
stemmed words as appropriate to the selected locale.

You can import some or all of the class methods.

use Lingua::Stem qw (stem clear_stem_cache stem_caching add_exceptions
delete_exceptions get_exceptions set_locale get_locale :all :locale
:exceptions :stem :caching);

 :all        - imports  stem add_exceptions delete_exceptions get_exceptions
               set_locale get_locale
 :stem       - imports  stem
 :caching    - imports  stem_caching clear_stem_cache
 :locale     - imports  set_locale get_locale
 :exceptions - imports  add_exceptions delete_exceptions get_exceptions

Currently supported locales are:

      DA          - Danish
      DE          - German
      EN          - English (also EN-US and EN-UK)
      FR          - French
      GL          - Galician
      IT          - Italian
      NO          - Norwegian
      PT          - Portuguese
      RU          - Russian (also RU-RU and RU-RU.KOI8-R)
      SV          - Swedish

If you have the memory and lots of stemming to do, I *strongly* suggest
using cache level 2 and processing lists in 'big chunks' (long lists) for
best performance.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples GPL_License.txt README
%license Artistic_License.txt LICENSE

%changelog
* Sun Sep 27 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.31
  see /usr/share/doc/packages/perl-Lingua-Stem/Changes
* Sun Jun 21 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.30
  see /usr/share/doc/packages/perl-Lingua-Stem/Changes
    2.30 2020.06020 - Cleanup for initial upload to GitHub. Version
    numbers for all sub-modules synced on 2.30 for
    consistency. Maintainer updated. Build.PL and
    Makefile.PL updates. Addition of 'use warnings'
    to all files. POD encoding error fix.
* Wed Dec  3 2014 coolo@suse.com
- redo packaging
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Jul 15 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
* Fri Apr 30 2010 lars@linux-schulserver.de
- update to 0.84:
  - Documentation fixes to the En stemmer and removal
    of the accidentally included lib/Lingua/test.pl file
    Thanks goes to Aaron Naiman for bringing the
    documentation error to my attention and to
    Alexandr Ciornii and 'kmx' for the pointing out
    the problem with the test.pl file.
* Fri Aug 15 2008 lrupp@suse.de
- initial version 0.83
